# eric3.VCS.cvsPackage.StatusDialog

Module implementing a dialog to show the output of the cvs status command process.

### Classes

CvsStatusDialog | Module implementing a dialog to show the output of the cvs status command process.

### Functions

None

## CvsStatusDialog

Module implementing a dialog to show the output of the cvs status command process.

### Derived from

LogForm

### Methods

CvsStatusDialog | Constructor
closeEvent | Private slot implementing a close event handler.
handleProcessExited | Private slot to handle the processExited signal.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
keyPressEvent | Protected slot to handle a key press event.
passwordMode | Private slot to handle the password checkbox toggled.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
start | Public slot to start the cvs status command.

### CvsStatusDialog (Constructor)

CvsStatusDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### CvsStatusDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

### CvsStatusDialog.handleProcessExited

handleProcessExited()

Private slot to handle the processExited signal.

### CvsStatusDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal. It reads the error output of the process and inserts it into the error pane.

### CvsStatusDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal. It reads the output of the process, formats it and inserts it into the contents pane.

### CvsStatusDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### CvsStatusDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### CvsStatusDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### CvsStatusDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### CvsStatusDialog.start

start(fn)

Public slot to start the cvs status command.

fn
  filename to be diffed (string)

Up